/*
 * Copyright 2022 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(generic_lfsr.h)                                            */
/* BINDTOOL_HEADER_FILE_HASH(0)                                                    */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/sidloc/generic_lfsr.h>
// pydoc.h is automatically generated in the build directory
#include <generic_lfsr_pydoc.h>

void bind_generic_lfsr(py::module& m)
{

    using generic_lfsr = ::gr::sidloc::generic_lfsr;


    py::class_<generic_lfsr, gr::sidloc::code, std::shared_ptr<generic_lfsr>>(
        m, "generic_lfsr", D(generic_lfsr))

        .def_static("make_shared",
                    &generic_lfsr::make_shared,
                    py::arg("mask"),
                    py::arg("seed"),
                    py::arg("degree"),
                    D(generic_lfsr, make_shared));
}
